import { get, post } from '@/http/index'

//查询所有实体
export const getEntityList = async (data) => {
  return await get('/kgqa/entity/getAllEntities', data)
}

//	获取图数据库中的所有实体类名称
export const getAllEntityClass = async () => {
  return await get('/kgqa/entity/getAllEntityClass')
}

// 新增实体结点
export const addEntity = async (data) => {
  return await post('/kgqa/entity/add', data)
}

//修改实体结点
export const updateEntity = async (data) => {
  return await post('/kgqa/entity/update', data)
}

//查询实体结点
export const checkEntity = async (data) => {
  return await post('/kgqa/entity/Check', data)
}

//删除实体结点
export const deleteEntity = async (data) => {
  return await post('/kgqa/entity/delete', data)
}
